from sqlalchemy import Column, String, Integer
from .Base import Base


class LuckpermsUserPermission(Base):
    __tablename__ = 'luckperms_user_permissions'

    id = Column(Integer, primary_key=True)
    uuid = Column(String, index=True)
    permission = Column(String)
    value = Column(Integer)
    server = Column(String)
    world = Column(String)
    expiry = Column(Integer)
    contexts = Column(String)
