from .Base import Base

from sqlalchemy import Column, Integer, String, TIMESTAMP
from sqlalchemy.sql import func


class Whitelist(Base):
    __tablename__ = 'whitelist'

    id = Column(Integer, primary_key=True, autoincrement=True)
    player = Column(String(16), nullable=False)
    discord = Column(String(36), nullable=True, default=None)
    added_on = Column(TIMESTAMP, server_default=func.now())
