from sqlalchemy import Column, String, Boolean
from .Base import Base


class LitebansBan(Base):
    __tablename__ = 'litebans_bans'

    id = Column(String, primary_key=True)
    uuid = Column(String, index=True)
    active = Column(Boolean)
    removed_by_uuid = Column(String)
    removed_by_name = Column(String)
    removed_by_reason = Column(String)