from sqlalchemy import Column, String
from .Base import Base


class LuckpermsPlayer(Base):
    __tablename__ = 'luckperms_players'

    uuid = Column(String, unique=True, index=True, primary_key=True)
    username = Column(String, unique=True, index=True)
    primary_group = Column(String, unique=False, index=True)